<?php
/**
 * @author Takács Ákos (Rimelek), programmer [at] rimelek [dot] hu
 * @copyright Copyright (C) 2008, Takács Ákos
 * @package REPHPGraph
 */

/**
 * AREGraph importálása
 */
require_once dirname(__FILE__)."/AGraph.class.php";

/**
 * Második szintű absztrakt ősosztály
 * 
 * Ebből az osztályból származik közvetlenül minden további osztály, kivéve a {@link Graph}
 *  
 * @version 1.0
 * @author Takács Ákos (Rimelek), programmer [at] rimelek [dot] hu
 * @copyright Copyright (C) 2008, Takács Ákos
 * @package REPHPGraph
 */
abstract class AObject extends AGraph
{
	/**
	 * Objektum poziciójának X koordinátája
	 * 
	 * @var int	
	 */
	protected $x = 0;
	/**
	 * Objektum poziciójának Y koordinátája 
	 * 
	 * @var int
	 */
	protected $y = 0;
	/**
	 * Objektum színe
	 * @var int
	 */
	protected $color = 0;
	/**
	 * Objektum szegélyének színe
	 * @var int
	 */
	protected $borderColor = 0;
	/**
	 * Elforgatás szöge
	 * 
	 * Értéke lekérdezésekor mindíg  -180 <= $angle <= 180
	 * 
	 * @var int
	 */
	protected $angle = 0;
        
	/**
	 * 
	 * @param string $var
	 * @return void
	 */
	function __get($var) 
	{
		switch ($var) 
		{
			case 'x': case 'y': case 'color': case 'borderColor': case 'angle':
				return $this->$var;
				break;
			default: return parent::__get($var);
		}
	}
	/**
	 * 
	 * @param string $var
	 * @param mixed $value
	 */
	function __set($var,$value)
	{
		switch ($var)
		{
			case 'x': case 'y': case 'color': case 'borderColor': case 'angle':
				$value = (int)$value;
				$this->$var = $value;
				break;
			default: parent::__set($var,$value);
		}
	}
        
}
?>