<?php
/**
 * Graph osztály importálása
 */
require_once('../Graph.class.php');

//Az összes grafikus elem importálása
Graph::importObject();
//Az összes iterátor importálása
Graph::importIterator();
 
//Új grafika létrehozása 300x300 méretben
$graph = new Graph(300,300);
$graph->setBackGround(0,0,255);
$graph->transparent = true;
$graph->type = "gif"; 
        
//Új kép létrehozása
$image = new Image('pezsgo.jpg');
$image->setX($graph->width / 2,1);
$image->setY($graph->height / 2,1);
$image->cut(8,85,130,180);
$image->quality = 10;
$image->transparent = false;
$image->angle = 0;
$image->type='gif';

//kép hozzáadása a grafikához
$graph->add($image);

//ellipszis iterátor létrehozása
$iterator = new EllipseIterator(150,150,200,150);
$iterator->add = 10;
$iterator->start = -180;
$iterator->end = -540;

$isize = 10;
//Ellipszis vonalán végig csillagok kirajzolása
foreach($iterator as $pos) {
	$obj = new Star((abs($isize)+4) / 4);
	$obj->numPoint = 8;
	$obj->lenPoint = 70;
	$obj->transparent = true;
	$obj->x = $pos['x'];
	$obj->y = $pos['y'];
	$obj->type = 'gif';
	$obj->angle = 30;
	$obj->quality = 100;
	$obj->color = $graph->createColor(255,255,0);
	$obj->borderColor = $graph->createColor(200,0,0);
	
	$graph->add($obj);
	$isize+=10;
} 
  

//Új szöveg létrehozása
$text5 = new Text('Törpi a sztár',32,-10);
$text5->quality = 100;
$text5->setX($graph->width/2,1);
$text5->setY($graph->height-1,2);
$text5->backGround = $graph->createColor(255,0,255);
$text5->transparent = true;
$text5->color = $graph->createColor(255,0,0);
$text5->type ='gif';
//szöveg hozzáadása a grafikához
$graph->add($text5);

//Új szöveg
$text6 = new Text('Törpi a sztár',31,-10);
$text6->quality = 100;
$text6->setX($graph->width /2,1);
$text6->setY($graph->height,2);
$text6->backGround = $graph->createColor(0,0,0);
$text6->transparent = true;
$text6->color = $graph->createColor(255,255,0);
$text6->type = 'gif';
//szöveg hozzáadása a grafikához
$graph->add($text6);

//Új csillag elem létrehozása
$csillag = new Star(30);
$csillag->numPoint = 5;
$csillag->lenPoint = 20;
$csillag->transparent = true;
$csillag->color = $graph->createColor(255,255,0);
$csillag->angle = -20;
$csillag->type = 'gif';
$csillag->x = $text6->x - ($text6->width / 2);
$csillag->y = $text6->y;

//csillag hozzáadása a grafikához
$graph->add($csillag);


$ora = new AnalogClock(70,mktime(7,10,30));
$ora->x = $graph->width-$ora->width/2;
$ora->y = $graph->height-$ora->height/2;
$ora->background = $ora->createColor(0,0,130);
$ora->transparent = true;
$graph->add($ora);


//grafika minősége
$graph->quality = 100;
//grafika megjelenítése
$graph->flush();
//$graph->save('fullExample.gif');
?>
